DewaVPS

Get IPSets

GET
/instance/{instance_uuid}/firewall/ipset/ipsets

Retrieve a paginated list of IPSets for a specific instance.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Path Parameters

instance_uuid*string

UUID of the instance

Formatuuid

Query Parameters

limit?integer

Number of results per page

page?integer

Page number

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/instance/497f6eca-6276-4993-bfeb-53cbbbba6f08/firewall/ipset/ipsets"
{
  "message": "Instance IPSets",
  "data": {
    "data": [
      {
        "id": 0,
        "name": "string",
        "description": "string",
        "iplist": [
          {
            "id": 0,
            "cidr": "string",
            "description": "string"
          }
        ]
      }
    ],
    "page": {
      "total": 0,
      "count": 0,
      "per_page": 0,
      "current_page": 0,
      "total_pages": 0
    }
  }
}